libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DictError Class Reference

Inheritance diagram for Gnome::Gda::DictError:

[legend]
List of all members.

## Public Types

enum | Code { DICT_META_DATA_UPDATE_ERROR, DICT_META_DATA_UPDATE_USER_STOPPED, DICT_LOAD_FILE_NOT_EXIST_ERROR, DICT_FILE_LOAD_ERROR, DICT_FILE_SAVE_ERROR, DICT_DATATYPE_ERROR, DICT_FUNCTIONS_ERROR, DICT_AGGREGATES_ERROR }

## Public Member Functions

Code | code () const
| DictError (GError* gobject)
| DictError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gnome::Gda::DictError::Code

Enumerator:

  DICT_META_DATA_UPDATE_ERROR |
  DICT_META_DATA_UPDATE_USER_STOPPED |
  DICT_LOAD_FILE_NOT_EXIST_ERROR |
  DICT_FILE_LOAD_ERROR |
  DICT_FILE_SAVE_ERROR |
  DICT_DATATYPE_ERROR |
  DICT_FUNCTIONS_ERROR |
  DICT_AGGREGATES_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::DictError::DictError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::DictError::DictError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::DictError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- dict.h